package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.communityNews.CommentStars;

import java.util.List;


/**
 * 社区资讯收藏Service接口
 * 
 * @author boman
 * @date 2025-02-25
 */
public interface ICommentStarsService 
{
    /**
     * 查询社区资讯收藏
     * 
     * @param starsId 社区资讯收藏主键
     * @return 社区资讯收藏
     */
    public CommentStars selectCommentStarsByStarsId(Long starsId);

    /**
     * 查询社区资讯收藏列表
     * 
     * @param commentStars 社区资讯收藏
     * @return 社区资讯收藏集合
     */
    public List<CommentStars> selectCommentStarsList(CommentStars commentStars);

    /**
     * 新增社区资讯收藏
     * 
     * @param commentStars 社区资讯收藏
     * @return 结果
     */
    public int insertCommentStars(CommentStars commentStars);

    /**
     * 修改社区资讯收藏
     * 
     * @param commentStars 社区资讯收藏
     * @return 结果
     */
    public int updateCommentStars(CommentStars commentStars);

    /**
     * 批量删除社区资讯收藏
     * 
     * @param starsIds 需要删除的社区资讯收藏主键集合
     * @return 结果
     */
    public int deleteCommentStarsByStarsIds(Long[] starsIds);

    /**
     * 删除社区资讯收藏信息
     * 
     * @param starsId 社区资讯收藏主键
     * @return 结果
     */
    public int deleteCommentStarsByStarsId(Long starsId);

    /**
     * 社区资讯收藏或取消收藏
     * @param commentStars
     * @return
     */
    public AjaxResult getStars(CommentStars commentStars);

    /**
     * 党建收藏或取消收藏
     * @param commentStars
     * @return
     */
    public AjaxResult getPartyNewsStars(CommentStars commentStars);
}
